apiVersion: v1
kind: Service
metadata:
  name: calculadora-comissao-dojo-kubernetes
spec:
  type: ClusterIP
  ports:
  - port: 80
    targetPort: 8000
  selector:
    app: calculadora-comissao-dojo-kubernetes
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: calculadora-comissao-dojo-kubernetes
spec:
  replicas: 2
  selector:
    matchLabels:
      app: calculadora-comissao-dojo-kubernetes
  template:
    metadata:
      labels:
        app: calculadora-comissao-dojo-kubernetes
    spec:
      containers:
      - name: calculadora-dojo-k8s
        image: registry.gitlab.com/knowledge21/csd/classes/csd_202101/calculadora_comissao:latest
        ports:
        - containerPort: 8000
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: calculadora-comissao-dojo-kubernetes
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  rules:
  - host: csdk21.134.209.143.154.nip.io
    http:
      paths:
      - backend:
          serviceName: calculadora-comissao-dojo-kubernetes
          servicePort: 80